# for the future
%define has_rhnlib 1


Summary: Panel applet that idicates when new packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: version
Name: yumex-applet
URL: http://linux.rasmil.dk/yumex
Version: 2.1
Release: 2
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.1
BuildRequires: python-devel >= 2.2.1
Requires: rpm-python
%if %{has_rhnlib}
Requires: rhnlib >= 1.4
%else
Requires: python-xmlrpc >= 1.5.0
%endif
Requires: pygtk2-libglade
Requires: up2date-gnome >= 4.1.5
Requires: pygtk2 >= 1.99.12-6
BuildRequires:  pygtk2-devel >= 1.99.12-6
Requires: gnome-python2 >= 1.99.11-7
Requires: libgnomeui >= 2.0.3-1
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.0.3-1
Requires: libgnome >= 2.0.2-5
Requires: gnome-python2-gtkhtml2
Obsoletes	: rhn-applet, yum-applet

# should be provided by up2date or up2date-gnome, but just to be sure...
Requires: /usr/share/rhn/RHNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

# for post section:
Requires: perl

%description
Panel applet that idicates when new packages are available.
This is a hacked version that starts yumex insted of up2date.

%prep
%if %{?RHNdevel:1}%{!?RHNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang rhn-applet

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f rhn-applet.lang
%defattr(-,root,root)
/usr/bin/rhn-applet-gui
/usr/bin/rhn-applet-tui
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/rhn/rhn_applet/*.so
/usr/share/pixmaps/*
/usr/share/applications/rhn-applet.desktop
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Mon Oct 17 2005 Troy Dawson <dawson@fnal.gov> 
- Just tidied up description's

* Sun Jun 26 2005 Tim Lauridsen <tla@rasmil.dk>
- First hacked version, based on rhn-applet 2.1.17.
